Bulk create vehicles
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/vehicles/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vehicles": [
{
"make_and_model": "<string>",
"year": 123,
"external_id": "<string>",
"license_plate": "<string>",
"vin": "<string>",
"description": "<string>",
"is_primary": false
}
]
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/vehicles/bulk"
payload = { "vehicles": [
{
"make_and_model": "<string>",
"year": 123,
"external_id": "<string>",
"license_plate": "<string>",
"vin": "<string>",
"description": "<string>",
"is_primary": False
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vehicles: [
{
make_and_model: '<string>',
year: 123,
external_id: '<string>',
license_plate: '<string>',
vin: '<string>',
description: '<string>',
is_primary: false
}
]
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/vehicles/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"make_and_model": "<string>",
"year": 123,
"is_primary": true,
"is_eligible_for_deletion": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "com.layerfi.routers.ApiVehicle",
"external_id": "<string>",
"license_plate": "<string>",
"vin": "<string>",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}{
"description": "<string>",
"meta": {}
}{
"description": "<string>",
"meta": {}
}Vehicles
Bulk create vehicles
Creates multiple vehicles for the specified business in a single request. Maximum of 100 vehicles per request. This endpoint is idempotent using the external_id field as the idempotency key for each vehicle.
POST
/
v1
/
businesses
/
{businessId}
/
mileage
/
vehicles
/
bulk
Bulk create vehicles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Body
application/json
List of vehicles to create. Maximum of 100 vehicles per request.
Maximum array length:
100Show child attributes
Show child attributes
Response
Vehicles created successfully.
Show child attributes
Show child attributes
⌘I